---

# common variables
aptcachetime: 3600
locale: "en_US.UTF-8"
localuser: "{{ lookup('env','USER') }}"
localhome: "{{ lookup('env','HOME') }}"

# containerd
containerd_version: 1.3.7-1
activate_containerd: true
crictl_version: v1.19.0
activate_nvidia: false
ignore_nvidia_fail: false
containerd_ubuntu_version: xenial

# docker_hub_mirror: https://registry-1.docker.io
# Nexus repository cache
docker_hub_mirror: http://192.168.93.12:8181

# # core software versions to deploy
# kubectl_version: 'v1.15.0'
# kvm2_driver_version: 'v1.1.1'
# minikube_version: 'v1.2.0'
# minikube_disk_size: 32g
# minikube_memory: 8192
# minikube_cpus: 4

k8s_version: '1.20.2'
calico_version: v3.17


oidc_issuer_url: 'https://gitlab.com'
oidc_client_id: '417ea12283741e0d74b22778d2dd3f5d0dcee78828c6e9a8fd5e8589025b8d2f'
oidc_username_claim: 'sub'

k8s_dns_servers:
  - 193.136.92.73

# Helm vars
helm_name: helm
helm_version: v3.4.1
helm_mirror: https://get.helm.sh
helm_stable_repo_url: https://charts.helm.sh/stable

# use_driver: false
# use_calico: true

# # Minikube and kvm2 source
# minikube_mirror: https://github.com/kubernetes/minikube/releases/download
# minikube_install_dir: /usr/local/bin

# # vars for kvm2
# minikube_kvm2_name: docker-machine-driver-kvm2
# minikube_kvm2_driver_url: '{{ minikube_mirror }}/{{ minikube_version }}/{{ minikube_kvm2_name }}'

# # vars for hyperkit
# minikube_hyperkit_name: docker-machine-driver-hyperkit
# minikube_hyperkit_driver_url: '{{ minikube_mirror }}/{{ minikube_version }}/{{ minikube_hyperkit_name }}'

# # kubectl vars
# kubectl_name: kubectl
# kubectl_mirror: https://storage.googleapis.com/kubernetes-release/release
# externalIP: "{{ansible_default_ipv4.address}}"
# namespace: kube-system

# # development environment
# pycharm_version: 'community-2018.3.3'
# PYTHON_VERSION: '3.7.3'
# TANGO_VERSION: '9.3.3'
# LIBZEROMQ_VERSION: '4.3.2'
# CPPZEROMQ_VERSION: '4.4.1'
# OMNIORB_VERSION: '4.2.3'
# docker_compose_version: '1.23.2'
# #vscode version 1.30
# start_mysql_server: 'no'
# install_mysql: 'no'

# prometheus_docker_tags: 'v2.16.0'
# prometheus_alertmanager_docker_tags: 'v0.20.0'
# prometheus_bleckbox_exporter_docker_tags: 'v0.16.0'
# grafana_docker_tags: '6.6.2'

# # Environment variables to pass into Minikube deployment
# # use for http_proxy requirements
# minikube_environment_vars: {}
#   # http_proxy: http://my.proxy.server:8888
#   # https_proxy: http://my.proxy.server:8888
#   # no_proxy: 1.2.3.4,10.96.0.0/12
